> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# 列出训练任务

> 列出并筛选 Fastino 训练任务。

`GET /v1/training-jobs`

返回已认证账户可见的训练任务。

## 请求

<ParamField header="X-API-Key" type="string" required>
  您的 Fastino API 密钥。
</ParamField>

<ParamField query="status" type="string">
  按持久化的任务状态筛选。
</ParamField>

<ParamField query="project_id" type="string">
  按项目 ID 筛选。
</ParamField>

<ParamField query="limit" type="integer" default="200">
  分页大小,取值从 `1` 到 `200`。
</ParamField>

<ParamField query="offset" type="integer" default="0">
  要跳过的匹配任务数量。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.fastino.ai/v1/training-jobs?status=complete&limit=50&offset=0" \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## 响应

<ResponseField name="success" type="boolean">
  请求是否成功。
</ResponseField>

<ResponseField name="training_jobs" type="object[]">
  本页的训练任务记录。
</ResponseField>

<ResponseField name="count" type="integer">
  本页任务数量。
</ResponseField>

<ResponseField name="total" type="integer">
  分页前匹配到的任务总数。
</ResponseField>

<ResponseField name="has_more" type="boolean">
  本页之后是否还有下一页。
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "training_jobs": [],
    "count": 0,
    "total": 0,
    "has_more": false
  }
  ```
</ResponseExample>

无效的分页值返回 `422`。
